extends CanvasLayer
class_name GameUI

@onready var state_manager: Node = $"../StateManager"

@onready var display_piece_manager: Control = $DisplayPieceManager
@onready var gold_display: Label = $GoldDisplay
@onready var state_label: Label = $StateLabel

# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	update_gold_display()
	RunData.currency_changed.connect(update_gold_display)
	display_piece_manager.refresh_pieces_display()
	
func _process(delta: float) -> void:
	state_label.text = state_manager.get_state_as_string()
	
func update_gold_display(new_currency: int = RunData.get_currency()) -> void:
	gold_display.text = "Gold: %d" % new_currency
	
func get_display_piece_manager() -> Control:
	return display_piece_manager

func _on_confirm_pressed() -> void:
	state_manager.change_state(state_manager.GameState.PLAYING)
	display_piece_manager.visible = false
